## fomp.lv2-1.0.0-5.src.tar.gz

=== wscript ===
#!/usr/bin/env python

import os
import shutil

from waflib.extras import autowaf

# Version of this package (even if built as a child)
FOMP_VERSION = '1.1.0'

# Mandatory waf variables
APPNAME = 'fomp'        # Package name for waf dist
VERSION = FOMP_VERSION  # Package version for waf dist
top     = '.'           # Source directory
out     = 'build'       # Build directory

def options(opt):
    opt.load('compiler_cxx')
    opt.load('lv2')

def configure(conf):
    conf.load('compiler_cxx', cache=True)
    conf.load('lv2', cache=True)
    conf.load('autowaf', cache=True)
    autowaf.set_c_lang(conf, 'c99')

    autowaf.check_pkg(conf, 'lv2', atleast_version='1.0.0', uselib_store='LV2')

    # Set env.pluginlib_PATTERN
    pat = conf.env.cxxshlib_PATTERN
    if pat[0:3] == 'lib':
        pat = pat[3:]
    conf.env.pluginlib_PATTERN = pat
    conf.env.pluginlib_EXT = pat[pat.rfind('.'):]

    conf.run_env.append_unique('LV2_PATH', [conf.build_path('lv2')])
    autowaf.display_summary(conf, {'LV2 bundle directory': conf.env.LV2DIR})

def build_plugin(bld, lang, bundle, name, source, defines=None):
    # Build plugin library
    penv = bld.env.derive()
    penv.cxxshlib_PATTERN = bld.env.pluginlib_PATTERN
    obj = bld(features     = '%s %sshlib' % (lang,lang),
              env          = penv,
              source       = source,
              includes     = ['.', 'src/include'],
              name         = name,
              target       = os.path.join('lv2', bundle, name),
              uselib       = ['LV2'],
              install_path = '${LV2DIR}/' + bundle)
    if defines != None:
        obj.defines = defines

def build(bld):
    # Copy data files to build bundle (build/fomp.lv2)
    def do_copy(task):
        src = task.inputs[0].abspath()
        tgt = task.outputs[0].abspath()
        return shutil.copy(src, tgt)

    for i in bld.path.ant_glob('fomp.lv2/*.ttl'):
        bld(features     = 'subst',
            is_copy      = True,
            source       = i,
            target       = 'lv2/fomp.lv2/%s' % i.name,
            install_path = '${LV2DIR}/fomp.lv2')

    bld(features     = 'subst',
        source       = 'fomp.lv2/manifest.ttl.in',
        target       = 'lv2/fomp.lv2/manifest.ttl',
        LIB_EXT      = bld.env.pluginlib_EXT,
        install_path = '${LV2DIR}/fomp.lv2')

    plugins = ['autowah',
               'blvco',
               'cs_chorus',
               'cs_phaser',
               'filters',
               'mvchpf24',
               'mvclpf24']
    for i in plugins:
        build_plugin(bld, 'cxx', 'fomp.lv2', i,
                     ['src/%s.cc' % i,
                      'src/%s_lv2.cc' % i])
    build_plugin(bld, 'cxx', 'fomp.lv2', 'reverbs',
                 ['src/reverbs.cc',
                  'src/pareq.cc',
                  'src/zreverb.cc',
                  'src/reverbs_lv2.cc'])

def posts(ctx):
    path = str(ctx.path.abspath())
    autowaf.news_to_posts(
        os.path.join(path, 'NEWS'),
        {'title'        : 'Fomp.LV2',
         'description'  : autowaf.get_blurb(os.path.join(path, 'README')),
         'dist_pattern' : 'http://download.drobilla.net/fomp-lv2-%s.tar.bz2'},
        { 'Author' : 'drobilla',
          'Tags'   : 'LV2, Fomp.lv2' },
        os.path.join(out, 'posts'))

=== PKGBUILD ===
# Maintainer: David Runge <dave@sleepmap.de>
pkgname=fomp.lv2
pkgver=1.0.0
pkgrel=5
pkgdesc="An LV2 port of the MCP, VCO, FIL, and WAH plugins by Fons Adriaensen."
arch=('x86_64')
url="https://git.drobilla.net/cgit.cgi/fomp.lv2.git/about/"
license=('GPL2')
groups=('lv2-plugins' 'pro-audio')
depends=('gcc-libs')
makedepends=('lv2' 'waf')
source=("https://git.drobilla.net/cgit.cgi/${pkgname}.git/snapshot/${pkgname}-${pkgver}.tar.bz2"
        "wscript::https://git.drobilla.net/cgit.cgi/fomp.lv2.git/plain/wscript?id=6547441f898cc55923878022960c79f33959c7b3"
        "autowaf.py::https://git.drobilla.net/cgit.cgi/autowaf/plain/extras/autowaf.py?id=8280f9de69f93624896b8875caf039066cac0314"
        "lv2.py::https://git.drobilla.net/cgit.cgi/autowaf/plain/extras/lv2.py?id=29d4d293d23759b39e152241ab3669583afbdeca")
sha512sums=('3b4a89ac676f475a67c9f4c21433f20e179c7f411e31bf9ce2a8a7fc65055659e28752803eeae9f4e8454ccd83177f40c2a363281db484289c0b9cf7d31b3835'
            '5cfdea9022946636895462d767185f88cdf77e268daabd6368f91dd853e4bb7bd977ee68cc72948569443f89a624aec46ce034ef50819d33c86d5033f37290fb'
            '8b657954fc435b1c8768c877e9f5ffb5a8ef3cbfa1b63ad841f1ae1442da97b10557740b73f736bb57c05b0e85592b3f866ca1b456c66fbc9092e23bdcd58756'
            '3824eb314ccb5dd8ea9bb4fb6dfabf033b2ccb97593000d1968ee5ff7bc7654ab682c45f5d89f535eb68ccfd0da8026fa7928b4a6b56228b6365d4592d40d040')

prepare() {
  cd "$pkgname-$pkgver"
  # copy more current versions of custom waf scripts in place
  mkdir -pv tools
  cp -av ../{autowaf,lv2}.py tools/
  touch __init__.py
  # copy more current version of wscript in place
  cp -av ../wscript .
  # modify wscript to use current scripts and fix version
  sed -e 's/waflib.extras/tools/' \
      -e "s/load('lv2'/load('lv2', tooldir='tools'/" \
      -e "s/load('autowaf'/load('autowaf', tooldir='tools'/" -i wscript
  sed -E "s|(FOMP_VERSION = ) .+|\1 '${pkgver}'|" -i wscript
  # removing not yet implemented stuff
  sed -e '85,89d' -i wscript
}

build() {
  cd "$pkgname-$pkgver"
  waf configure --prefix=/usr
  waf
}

package() {
  cd "$pkgname-$pkgver"
  waf install --destdir="$pkgdir/"
  install -vDm 644 {AUTHORS,NEWS,README} \
    -t "${pkgdir}/usr/share/doc/${pkgname}/"
}
